For the complete documentation index, see llms.txt. This page is also available as Markdown.

하위사업장

하위 사업장을 등록하고 조회합니다.

하위 사업장 등록 URL 발급

post

파트너사의 하위 사업장 등록을 위한 접근 URL을 발급합니다. 발급된 URL을 파트너 내부 화면에 연결하여 하위 사업장 등록을 진행할 수 있습니다.

Body
apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberIdstring · max: 30Required

파트너 사용자 코드

Example: partner-user-1
merchantIdstring · max: 30Required

파트너 매장 코드

Example: partner-merchant-1
businessNumberstringOptional

사업자번호

Example: 1000012345
callbackUrlstringRequired

결제 승인 후 결제 상태를 통보받을 파트너사의 URL

Example: https://partner.url.com/callback
redirectUrlstringOptional

하위사업장 가입 완료 이후 페이지 이동을 위한 redirectUrl

Example: redirectUrl
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/auth/mapping
POST /auth/mapping HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 195

{
  "apiKey": "partner-api-key",
  "memberId": "partner-user-1",
  "merchantId": "partner-merchant-1",
  "businessNumber": 1000012345,
  "callbackUrl": "https://partner.url.com/callback",
  "redirectUrl": "redirectUrl"
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "url": "https://manager-stg.paymint.co.kr/partner_v2/paths"
  }
}

하위 사업장 매핑 목록 조회

post

apiKey로 파트너의 하위 사업장 전체를 조회 합니다.

Body

쌤포인트 조회(관리 사업장) 요청

apiKeystring · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
Responses
200

성공

*/*

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/read/mapping
POST /read/mapping HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 28

{
  "apiKey": "partner-api-key"
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": [
    {
      "partnerMember": "TEST-MEMBER-FOR-API",
      "partnerMerchant": "TEST-MERCHANT-FOR-API",
      "companyNm": "페이민트",
      "branchNm": "뚝섬점",
      "businessNumber": 2208812345,
      "ceoName": "홍길동",
      "email": "test@paymint.co.kr",
      "mappingStatus": "COMPLETED",
      "regDt": "2025-04-01T10:15:30",
      "updDt": "2025-04-12T17:22:11"
    }
  ]
}

하위 사업장 게시 상태 조회

post

apiKey, memberId, merchantId 로 식별된 하위 사업장 매핑의 현재 단계와 사업장 심사 상태를 반환합니다.

Body

하위 사업장 게시 상태 확인을 위한 요청 request

apiKeystring · min: 1 · max: 32Required

파트너 연동을 위한 고유키

Example: partner-api-key
memberstring · min: 1 · max: 60Required

파트너 사용자 코드

Example: partner-user-1
merchantstring · min: 1 · max: 60Required

파트너 매장 코드

Example: partner-merchant-1
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
post/auth/mapping/status
POST /auth/mapping/status HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 86

{
  "apiKey": "partner-api-key",
  "member": "partner-user-1",
  "merchant": "partner-merchant-1"
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": {
    "apiKey": "partner-api-key",
    "member": "TEST-MEMBER-FOR-API",
    "merchant": "TEST-MERCHANT-FOR-API",
    "companyNm": "페이민트",
    "branchNm": "뚝섬점",
    "businessNumber": 2208875476,
    "reviewStatus": "P"
  }
}

파트너 사업장 맵핑

post
Body

파트너 사업장 맵핑 요청

apiKeystringOptional

API 키

Example: apiKey
memberIdstringOptional

memberId

Example: memberId
merchantIdstringOptional

merchantId

Example: merchantId
memberIdxstringOptional

memberIdx

Example: memberIdx
temporaryMerchantCdstringOptional

임시사업장코드

Example: 1234
Responses
200

성공

application/json

공통 API 응답 포맷 (api.spec: code/message/data)

codestringOptional

응답 코드

Example: 0000
messagestringOptional

응답 메시지

Example: 성공하였습니다.
dataanyOptional

응답 데이터

post/auth/merchant/mapping
POST /auth/merchant/mapping HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 118

{
  "apiKey": "apiKey",
  "memberId": "memberId",
  "merchantId": "merchantId",
  "memberIdx": "memberIdx",
  "temporaryMerchantCd": 1234
}
200

성공

{
  "code": "0000",
  "message": "성공하였습니다.",
  "data": null
}

마지막 업데이트

도움이 되었나요?